Bug 710526 - [abrt] yum-utils-1.1.30-2.fc15: rpmsack.py:1061:_get_cached_simpleVersion_main:IOError: [Errno 13] Permission denied: '//var/lib/yum/rpmdb-indexes/version'
[abrt] yum-utils-1.1.30-2.fc15: rpmsack.py:1061:_get_cached_simpleVersion_mai...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:0476deed90c3110e35995a2ff94...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 11:43 EDT by Ben Liblit
Modified: 2014-01-21 18:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2011-06-03 11:43:14 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/yumdownloader --destdir cbi/private/liblit/srpms --source nautilus-3.0.2-1.fc15
comment:        Unknown, sorry.
component:      yum-utils
executable:     /usr/bin/yumdownloader
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        yum-utils-1.1.30-2.fc15
reason:         rpmsack.py:1061:_get_cached_simpleVersion_main:IOError: [Errno 13] Permission denied: '//var/lib/yum/rpmdb-indexes/version'
time:           Fri May 27 08:07:18 2011
uid:            500
username:       liblit

backtrace:
:rpmsack.py:1061:_get_cached_simpleVersion_main:IOError: [Errno 13] Permission denied: '//var/lib/yum/rpmdb-indexes/version'
:
:Traceback (most recent call last):
:  File "/usr/bin/yumdownloader", line 306, in <module>
:    util = YumDownloader()
:  File "/usr/bin/yumdownloader", line 71, in __init__
:    self.main()
:  File "/usr/bin/yumdownloader", line 94, in main
:    self.doUtilYumSetup(opts)
:  File "/usr/bin/yumdownloader", line 265, in doUtilYumSetup
:    self._getRepos(doSetup = True)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 596, in _getRepos
:    self._repos.doSetup(thisrepo)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 72, in doSetup
:    self.ayum.plugins.run('prereposetup')
:  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 184, in run
:    func(conduitcls(self, self.base, conf, **kwargs))
:  File "/usr/lib/yum-plugins/auto-update-debuginfo.py", line 110, in prereposetup_hook
:    rpmdbv = yb.rpmdb.simpleVersion(main_only=True)[0]
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1111, in simpleVersion
:    rpmdbv = self._get_cached_simpleVersion_main()
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1061, in _get_cached_simpleVersion_main
:    rpmdbv = open(rpmdbvfname).readline()[:-1]
:IOError: [Errno 13] Permission denied: '//var/lib/yum/rpmdb-indexes/version'
:
:Local variables in innermost frame:
:nmtime: 1306500714.556794
:rpmdbvfname: '//var/lib/yum/rpmdb-indexes/version'
:omtime: 1306500713.253794
:rpmdbfname: '//var/lib/rpm/Packages'
:self: <yum.rpmsack.RPMDBPackageSack object at 0x9712fcc>
Comment 1 Fedora End Of Life 2012-08-07 14:36:35 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.